Bug 8294 - enumeration should show in copy specific hold menu
Summary: enumeration should show in copy specific hold menu
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Katrin Fischer
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-22 13:52 UTC by Nicole C. Engard
Modified: 2014-05-26 21:04 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
serial without enumeration - all issues look the same (66.14 KB, image/png)
2012-06-22 13:52 UTC, Nicole C. Engard
Details
Bug 8294: Fix display of serial enumeration for OPAC holds (1.98 KB, patch)
2013-04-14 17:33 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED OFF] Bug 8294: Fix display of serial enumeration for OPAC holds (2.05 KB, patch)
2013-04-15 05:15 UTC, David Cook
Details | Diff | Splinter Review
Bug 8294: Fix display of serial enumeration for OPAC holds (2.12 KB, patch)
2013-04-22 14:03 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-06-22 13:52:39 UTC
Created attachment 10432 [details]
serial without enumeration - all issues look the same

When placing a hold on a specific copy we need to show the enumeration or else when it's a serial you're placing a hold on you can't tell which issue you want to place the hold on ...
Comment 1 Katrin Fischer 2013-04-14 08:25:24 UTC
Hm, this is a pretty serious problem when you allow users to place holds on serial issues. And I thought that this also worked at some point in time because we have a library doing just that. Will have to investigate.
Comment 2 Katrin Fischer 2013-04-14 17:33:51 UTC Comment hidden (obsolete)
Comment 3 David Cook 2013-04-15 05:15:05 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2013-04-22 14:03:16 UTC
There is no key named itemdata_enumchron for bibitemloo.
itemdata_enumchron is set by the perl script as a variable.
The issue was introduced by the switch to T::T.

Marked as Passed QA.
Comment 5 Jonathan Druart 2013-04-22 14:03:35 UTC
Created attachment 17595 [details] [review]
Bug 8294: Fix display of serial enumeration for OPAC holds

It turns out that this was not a missing but a broken feature.
This patch corrects the template variables to make enumchron
show up on the item table for item level holds in the OPAC.

To test:
Try to place item level holds on
1) a record where at least one item
2) a record where none of the items
has items.enumchron information.

The column with enumchron should only show for 1), but not
for 2).

Signed-off-by: David Cook <dcook@prosentient.com.au>

Works as described.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 6 Jared Camins-Esakov 2013-04-23 12:40:00 UTC
This patch has been pushed to master and 3.12.x.
Comment 7 Chris Cormack 2013-04-27 21:36:57 UTC
Pushed to 3.10.x will be in 3.10.6